LINUX.ORG.RU
ФорумGames

Не запускается сервер майнкрафт выше 1.12.2

 , ,


0

1

Здравствуйте. У меня есть сервер на Debian 8. 2 ядра, 4гб ОЗУ. Могу без проблем запустить несколько серверов майнкрафт версии Spigot 1.12.2. А вот с версиями выше возникает проблема - зависает генерация мира вместе с Java. Версия Java 8. В чем может быть проблема?

Ответ на: комментарий от xionovermazes

А получится ли с 8 до 9 обновиться без ошибок? Тк сервер рабочий, данные терять не хотелось бы. Или лучше не рисковать? И еще такой вопрос, возможно ли на debian 8 установить java 9? В интернете практически нет информации.

MrSullex ()
Последнее исправление: MrSullex (всего исправлений: 1)
Ответ на: комментарий от MrSullex

Лучше сразу Java 13, хотя Java 8 все еще поддерживается и насколько я помню является рекомендованной версией. Но скачать новую можно тут - https://jdk.java.net/13/. Распаковываешь в /opt/, и прописываешь PATH.

Обновить Debian стоило бы, но опасность есть, и не думаю что проблему это решит. Логи нужны.

И вообще желательно спрашивать такое на форумах о Minecraft, это все же форум о Linux.

stasolog ()
Последнее исправление: stasolog (всего исправлений: 3)
Ответ на: комментарий от MrSullex

погуглил что-то

https://tecadmin.net/install-java-9-on-debian-via-ppa/ - здесь как 9 java на 8 debian

https://linuxconfig.org/how-to-upgrade-debian-8-jessie-to-debian-9-stretch - как дист апгрейдить.

На счёт обновления диста, данные не полетят, и если нет сервисов на старых пакетах завязанных, то и все осталное заведется.

xionovermazes ()

Проблему с генерацией удалось решить с помощью установки более новой версии Java. Однако сервера выше 1.12.2 создают большую нагрузку на систему и мир генерируется дольше обычного. Если сервер 1.12.2 использует примерно 2% CPU, то сервер 1.15.2 все 20% CPU. При этом возникает проблема с выключением сервера - Java просто зависает и приходится убивать процесс.

MrSullex ()